Retrieve user key
This endpoint allows partners to get an authentication key by providing username and password.
description: "This endpoint allows partners to get an authentication key by providing username and password."
Retrieve user key
️ Important
The requestTeamId is required for supplier/advertiser users. Omitting it will result in a 400 Bad Request.
This endpoint allows partners to get an authentication key by providing username and password.
Body
namespacestringRequiredExample:
The namespace to which the user belongs.
apppasswordstringRequiredExample:
The account password for secure authentication.
passwordusernamestringRequiredExample:
The username assigned to the user account.
john.doe@example.comResponses
200
Authentication key successfully retrieved.
application/json
userIdstringOptionalExample:
The userId of the user.
user-456userKeystringOptionalExample:
The unique authentication key that enables secure access.
user-456400
There was a problem with input.
application/json
401
Login failed or token not valid.
application/json
403
Access denied due to insufficient permissions.
application/json
default
An unexpected error response.
application/json
post/v2/user-key
POST /v2/user-key HTTP/1.1
Host: auth.<env>.citrusad.com
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 75
"namespace='app'&password='password'&username='john.doe@example.com'"{
"userId": "user-456",
"userKey": "user-456"
}
